# 4.2. Model Viewer: 360 Images

### 360 Image Model Viewer: Overview

{% embed url="<https://cylinder.archisketch.com/?id=XSvekgEA45F8CD4FFCD4026&mode=360>" %}

### 📌 Furniture Library: How to Upload 3D Models

👇 Please refer to the video below for **"How to Upload 3D Models to the Furniture Library."**

{% embed url="<https://www.youtube.com/watch?v=fjAYpy_lJsI>" %}

### 📌 360 Image Model Viewer: How to Check

**The 360 Image Model Viewer** becomes available once a model has been successfully uploaded to the **"Furniture"** section in **the Enterprise Library on the Archisketch Dashboard**. After the upload is complete, the feature can be accessed upon request by contacting the Archisketch team.

## 360 Image Model Viewer: URL Structure

> **Try it out via the demo page below!**

{% embed url="<https://codepen.io/Archisketch/pen/KKZLBRQ>" %}

**The 360 Image Model Viewer** follows the general URL format below.\
You can also customize the viewer using additional query parameters.

### 📌 URL Format

```
https://cylinder.archisketch.com/?id={productID}&mode=360
```

### 📌 Query Parameter

| **Parameter** | **Description**                                           |
| ------------- | --------------------------------------------------------- |
| `mode=360`    | Sets the viewer mode. (default: mode=3d)                  |
| `hideInfo=1`  | Hides the **Information button**.                         |
| `hideQr=1`    | Hides the **QR code**.                                    |
| `hideAr=1`    | Hides the **AR button** (only appears on mobile devices). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.archisketch.com/dev-guide/en/contents/model-viewer/360-image.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
